org.red5.server.api.service

## Interface IServiceHandlerProvider

All Known Subinterfaces:
  IClientSharedObject, IGlobalScope, IScope, ISharedObject, ISharedObjectBase, ISharedObjectHandlerProvider

All Known Implementing Classes:
  ClientSharedObject, GlobalScope, RoomScope, Scope, SharedObjectScope, WebScope

    public interface IServiceHandlerProvider

Supports registration and lookup of service handlers.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`Object` `getServiceHandler(String name)` Return a previously registered service handler.
`Set<String>` `getServiceHandlerNames()` Get list of registered service handler names.
`void` `registerServiceHandler(String name, Object handler)` Register an object that provides methods which can be called from a client.
`void` `unregisterServiceHandler(String name)` Unregister service handler.

### Method Detail

#### registerServiceHandler

    void registerServiceHandler(String name,
                              Object handler)

Register an object that provides methods which can be called from a client.

Example:
If you registered a handler with the name "`one.two`" that provides a method "`callMe`", you can call a method "`one.two.callMe`" from the client.

Parameters:
  `name` - the name of the handler
  `handler` - the handler object

#### unregisterServiceHandler

    void unregisterServiceHandler(String name)

Unregister service handler.

Parameters:
  `name` - the name of the handler

#### getServiceHandler

    Object getServiceHandler(String name)

Return a previously registered service handler.

Parameters:
  `name` - the name of the handler to return
Returns:
  the previously registered handler

#### getServiceHandlerNames

    Set<String> getServiceHandlerNames()

Get list of registered service handler names.

Returns:
  the names of the registered handlers